Bug 190045 - Review Request: ladspa-caps-plugins - A set of audio plugins for LADSPA
Review Request: ladspa-caps-plugins - A set of audio plugins for LADSPA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 18:19 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 16:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
green: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-04-26 18:19:35 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/caps.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/caps-0.3.0-1.src.rpm
Description: 
caps, the C Audio Plugin Suite, is a collection of highly refined
LADSPA units capable of (and intended for) realtime operation. The
suite includes DSP units emulating instrument amplifiers, stomp-box
classics, versatile 'virtual analogue' oscillators, fractal
oscillation, reverb, equalization and others.
Comment 1 Gérard Milmeister 2006-06-05 10:13:42 EDT
I stripped caps.so, and I could still use it in sweep.
So, is the patch really necessary?
Comment 2 Anthony Green 2006-07-02 22:50:25 EDT
Updated bits...

Spec URL: http://people.redhat.com/green/FE/FC5/caps.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/caps-0.3.0-2.src.rpm

This just adds a patch to give the installed .so files execute permission.
Comment 3 Michael Schwendt 2006-07-13 06:50:11 EDT
Without running any special script on the rpm, three orphaned
directories can be spotted due to missing ownership or missing
dependencies:

  /usr/lib/ladspa/
  /usr/share/ladspa/
  /usr/share/ladspa/rdf/

$ rpm -qpR /home/qa/tmp/rpm/RPMS/caps-0.3.0-2.i386.rpm | grep lad
$ rpmls -p /home/misc5/tmp/rpm/RPMS/caps-0.3.0-2.i386.rpm
-rwxr-xr-x  /usr/lib/ladspa/caps.so
drwxr-xr-x  /usr/share/doc/caps-0.3.0
-rw-r--r--  /usr/share/doc/caps-0.3.0/CHANGES
-rw-r--r--  /usr/share/doc/caps-0.3.0/COPYING
-rw-r--r--  /usr/share/doc/caps-0.3.0/README
-rw-r--r--  /usr/share/doc/caps-0.3.0/README.ardour
-rw-r--r--  /usr/share/doc/caps-0.3.0/README.dist
-rw-r--r--  /usr/share/doc/caps-0.3.0/caps-0.3.0.pdf
-rw-r--r--  /usr/share/doc/caps-0.3.0/caps.html
-rw-r--r--  /usr/share/ladspa/rdf/caps.rdf
Comment 4 Anthony Green 2006-07-15 01:47:23 EDT
(In reply to comment #3)
> Without running any special script on the rpm, three orphaned
> directories can be spotted due to missing ownership or missing
> dependencies:
> 
>   /usr/lib/ladspa/
>   /usr/share/ladspa/
>   /usr/share/ladspa/rdf/

So should ladspa own /usr/lib/ladspa, /usr/share/ladspa and liblrdf own
/usr/share/ladspa/rdf?  This package could require those packages.  The only
weird thing is that apart from these directories, there are no other runtime
dependencies on those things.
Comment 6 Florin Andrei 2007-01-27 00:53:19 EST
Would be nice to rename this to ladspa-caps-plugins
Thanks,
Comment 7 Gérard Milmeister 2007-02-20 12:53:24 EST
(In reply to comment #4)
> So should ladspa own /usr/lib/ladspa, 
ladspa does own /usr/lib/ladspa
> /usr/share/ladspa
this should also be owned ladspa
> and liblrdf own
> /usr/share/ladspa/rdf?
No, also to the ladspa package
Maybe file a bug against ladspa, with a reference to this bug.

> This package could require those packages.  The only
> weird thing is that apart from these directories, there are no other runtime
> dependencies on those things.
I think it is not reasonable for ladspa-caps-plugins to require ladspa. True, it
doesn't really depend on it, but gives a certain consistency.

Comment 8 Gérard Milmeister 2007-02-20 12:54:25 EST
(In reply to comment #7)
> I think it is not reasonable for ladspa-caps-plugins to require ladspa.
I meant of course: not unreasonable

Comment 9 Anthony Green 2007-03-10 08:04:12 EST
(In reply to comment #7)
> > /usr/share/ladspa
> this should also be owned ladspa
> > and liblrdf own
> > /usr/share/ladspa/rdf?
> No, also to the ladspa package
> Maybe file a bug against ladspa, with a reference to this bug.

Done.  See bug 231706.
Comment 10 Anthony Green 2007-03-10 08:15:34 EST
I've renamed the package and s Required ladspa. 
New SRPM here:
http://people.redhat.com/green/FE/devel/ladspa-caps-plugins-0.3.0-3.src.rpm
Comment 11 Jason Tibbitts 2007-06-27 18:33:43 EDT
I downloaded the above package, but all I get is:

> rpm -ivh ladspa-caps-plugins-0.3.0-3.src.rpm
ladspa-caps-plugins-0.3.0-3.src.rpm: not an rpm package (or package manifest):

I have no idea what ladspa is but I'm trying to give at least some review to
these very old tickets.
Comment 12 Jason Tibbitts 2007-07-06 17:39:07 EDT
Actually the linked "src.rpm" is nearly 500K of nulls.
Comment 13 Anthony Green 2007-07-07 12:49:02 EDT
(In reply to comment #12)
> Actually the linked "src.rpm" is nearly 500K of nulls.
> 

Fixed.  Please try again.  Thanks!
Comment 14 Jason Tibbitts 2007-07-27 02:37:04 EDT
This fails to build for me:

File not found by glob: 
   /var/tmp/caps-0.3.0-3.fc8-root-mockbuild/usr/lib64/ladspa/*.so
error: Installed (but unpackaged) file(s) found:
   /usr/lib/ladspa/caps.so

I think this comes from %install where "/usr" is passed explicitly, even on x86-64.
Comment 15 Anthony Green 2007-11-11 16:43:41 EST
I'm closing this.  Somebody else submitted it and got it accepted.

Note You need to log in before you can comment on or make changes to this bug.